Skip to main content
GET
/
v0
/
users
/
{id}
Get
curl --request GET \
  --url https://api.paygentic.io/v0/users/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paygentic.io/v0/users/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paygentic.io/v0/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "usr_e7f8g9h0i1j2k3l4",
  "object": "user",
  "address": {
    "city": "Berlin",
    "country": "DE",
    "line1": "789 Innovation Road",
    "zipCode": "10115"
  },
  "createdAt": "2024-01-20T09:00:00Z",
  "dateOfBirth": "1985-05-20",
  "email": "bob@mlinfra.net",
  "firstName": "Bob",
  "lastName": "Johnson",
  "organizations": [
    {
      "id": "org_m5n6o7p8q9r0s1t2",
      "state": "active"
    },
    {
      "id": "org_u3v4w5x6y7z8a9b0",
      "state": "invited"
    }
  ],
  "oryId": "ory_user_def456",
  "phone": "+49-30-12345678",
  "type": "INDIVIDUAL",
  "updatedAt": "2024-03-10T16:00:00Z"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Unique identifier for a user

Pattern: ^usr_[a-zA-Z0-9]+$

Response

User details

id
string
required

Unique identifier for a user

Pattern: ^usr_[a-zA-Z0-9]+$
object
enum<string>
default:user
required
Available options:
user
createdAt
string<date-time>
required
email
string<email>
required
organizations
object[]
required
oryId
string
required
updatedAt
string<date-time>
required
address
object
dateOfBirth
string<date>
firstName
string
lastName
string
phone
string
type
enum<string>
Available options:
COMPANY,
INDIVIDUAL